/*
 * Created on 2005/04/18
 */
package roomlayout;

import javax.swing.JFrame;
import javax.swing.UIManager;

/**
 * @author kwsk
 */
public class Main
{
    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
        }
        catch(Exception e) {
        }
        
        JFrame frame = new JFrame("Room Layout");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setResizable(false);
        
        RoomModel model = new RoomModel();
        RoomView view = new RoomView(model);
        RoomController controller = new RoomController(model, view, frame);

        frame.getContentPane().add(view);
        
        frame.pack();
        frame.setLocation(0, 0);
        frame.show();
    }
}
